/*
 * Types.h
 * =======
 * Copyright (C) Matthew J. W.
 * All rights reserved.
 * Version 1.0
 *
 *
 * Description:
 *   This file contains the declaration of commonly used, primitive, data-types.
 *
 *
 *******************************************************************************************************************************************************/
#pragma once



//--------------------------------------------------------------------------
// Fundamental Types
//--------------------------------------------------------------------------
typedef void                Void;
typedef char                Char;
typedef unsigned long int   Bool;
typedef unsigned char       Byte;
typedef unsigned short      Word;
typedef unsigned long int   Dword;
typedef unsigned long long  Qword;
typedef signed short        Short;
typedef signed long int     Int;
typedef signed long long    Long;