/*
 * Utility.h
 * =========
 * Copyright (C) Matthew J. W.
 * All rights reserved.
 * Version 1.0
 *
 *
 * Description:
 *   Interface to the Utility module.
 *
 *
 *******************************************************************************************************************************************************/
#pragma once



//--------------------------------------------------------------------------
// Functions
//--------------------------------------------------------------------------
extern Dword __fastcall PowerOf(Dword dwBase, Dword dwExponent);
extern Word __fastcall  Endian16(const Word w);
extern Dword __fastcall Endian32(const Dword dw);
extern Dword __fastcall GetStringLength(const Char* pstr);
extern Dword __fastcall IsAlpha(const Char c);
extern Bool __fastcall  CompareString(const Char* pstrLeft, const Char* pstrRight);
extern Bool __fastcall  CompareStringNoCase(const Char* pstrLeft, const Char* pstrRight);
extern Byte __fastcall  CharToInt(const Char c);
extern Char __fastcall  IntToChar(const Byte i);
extern Dword __fastcall StrToInt(const Char* pstr, Dword dwBase);
extern Void __fastcall  IntToStr(Dword dw, Dword dwBase, Char* pstrOutput);